%=======================================================================
%To solve optimization problem:
%Create a new subfolder in ...\PSG\MATLAB:
%..\PSG\MATLAB\problem_pm
%Download and unpack the following zipped file from 'Data' to the created folder:
%'Mat_data_problem_pm.zip'
%Run program 'problem_pm.m'
%=======================================================================

clc;
clear;
addpath('..');

%Load data:
load('.\problem_pm_data.mat')
%Define input arguments:
string = {0.1,'pm_pen',0.9,'pm_pen_g'};
w = {0,0};

%Solve optimization problems:
[xout, fval, status, output] = riskprog(string, w, H, c);
 
%Display results:
disp(' ');
disp('Results: ');
%Display status of optimization problem:
disp(sprintf('status of optimization problem = %s', status));
%Display solving time:
disp(sprintf('solving time = %g', output.solving_time));
%Display objective:
disp(sprintf('objective = %g', fval));
%Display function:
disp(sprintf('pm_pen= %g', output.frval(1)));
disp(sprintf('pm_pen_g= %g', output.frval(2)));
%Display optimal point:
disp('optimal point = ');
disp(xout');
